Bug 1184707 - Updated fontconfig package don't render font in google-chrome
Summary: Updated fontconfig package don't render font in google-chrome
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-22 05:06 UTC by dominique
Modified: 2015-05-28 15:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-28 15:06:04 UTC


Attachments (Terms of Use)

Description dominique 2015-01-22 05:06:39 UTC
I test rawhide F22, and after update fontconfig (fontconfig-2.11.1-5.fc22 to fontconfig-2.11.92-1.fc22 ), fonts in google-chrome don't render well (see this screen shot : http://pix.toile-libre.org/upload/original/1421860184.jpg

I downgrade to fontconfig-2.11.1-5.fc22 and all work well.

Can you fixe this bug ?

Comment 1 dominique 2015-01-22 14:19:03 UTC
Sorry I forgot the error message when I launch google-chrome with fontconfig-2.11.92-1.fc22 :

[dominique@host ~]$ /usr/bin/google-chrome-stable
Fontconfig warning: FcPattern object size does not accept value 10(i)
[1462:1494:0121/174231:ERROR:logging.h(739)] Failed to call method: org.kde.KWallet.isEnabled: object_path= /modules/kwalletd: org.freedesktop.DBus.Error.ServiceUnknown: The name org.kde.kwalletd was not provided by any .service files
[1462:1494:0121/174231:ERROR:native_backend_kwallet_x.cc(230)] Error contacting kwalletd (isEnabled)
[1462:1545:0121/174232:ERROR:get_updates_processor.cc(240)] PostClientToServerMessage() failed during GetUpdates

I think the problem is that line : 
Fontconfig warning: FcPattern object size does not accept value 10(i)

Comment 2 Akira TAGOH 2015-01-23 11:09:05 UTC
Please check:

1) if it happens on other applications

2) if you have *.cache-5 on /var/cache/fontconfig

3) if the above cache is readable with fc-cat say

If you fail on 1), that means google-chrome issue. on 2), it seems you failed on upgrading. on 3), the cache is broken. if you have ever tried to use fontconfig from git, you have to clean them up and regenerate with fc-cache.

Comment 3 dominique 2015-01-23 14:14:58 UTC
For test I re-install fontconfig-2.11.92-1.fc22, and the issue disappeared ...

I don't know why, but now google-chrome show the fonts.

Sorry for the alarm, I think I can close this bug

Comment 4 Chris Ward 2015-05-28 14:45:38 UTC
I'm hitting this bug too after an upgrade F21->F22. Can't read any of the menus or title bars etc... only seeing dots. 
Only appears to be happening in Chrome. Any thoughts?

I've tried 

 rm /var/cache/fontconfig/*
 rc-cache

and done a full update in F22 even to testing packages

also removed and installed chrome again (43)

cward@cward ~ $ fc-cat /var/cache/fontconfig/
019629eead7fd8624feacc17e1c76e56-le64.cache-5  2e1514a9fdd499050989183bb65136db-le64.cache-5  6fcb01a03a016cc71057b587cdea6709-le64.cache-5  928306c3ad40271d946e41014a49fc28-le64.cache-5  beeeeb3dfe132a8a0633a017c99ce0c0-le64.cache-5
0251a5afa6ac727a1e32b7d4d4aa7cf0-le64.cache-5  3640555adad8a8f6978400293cfce7ab-le64.cache-5  7b312f204090bff0956e0e66992a6837-le64.cache-5  99a1ce9f8b6a0434aadb01d3779b0780-le64.cache-5  CACHEDIR.TAG
0b1bcc92b4d25cc154d77dafe3bceaa0-le64.cache-5  3830d5c3ddfd5cd38a049b759396e72e-le64.cache-5  7ee6df7a8311986241317a58487e0145-le64.cache-5  a0c19c2c21e758d73376b5942921cc72-le64.cache-5  d3379abda271c4acd2ad0c01f565d0b0-le64.cache-5
0fef740e1edd47736fa2cccff935ab7c-le64.cache-5  3c3fb04d32a5211b073874b125d29701-le64.cache-5  81a173283b451552b599cfaafd6236bd-le64.cache-5  a289f7e03715303a9a1b010d74c00c6a-le64.cache-5  df893b4576ad6107f9397134092c4059-le64.cache-5
12513961c6e7090f8648812f9eaf65d6-le64.cache-5  3f821257dd33660ba7bbb45c32deb84c-le64.cache-5  830f035fa84a65ce80e050178dbb630d-le64.cache-5  a4412f743c4d1c8e7d1a441b64ec7319-le64.cache-5  e26bf336397aae6fcef4d3803472adec-le64.cache-5
12b26b760a24f8b4feb03ad48a333a72-le64.cache-5  47f48679023f44a4d1e44699a69464f6-le64.cache-5  860639f272b8b4b3094f9e399e41bccd-le64.cache-5  ac68f755438cc3dc5a526084839fc7ca-le64.cache-5  e61abf8156cc476151baa07d67337cae-le64.cache-5
17e60ccdf2eb53b214a9a5d6663eb217-le64.cache-5  4e602040080c966cb821813a3e584564-le64.cache-5  87f5e051180a7a75f16eb6fe7dbd3749-le64.cache-5  b4d0b56f766d89640448751fcd18ec1e-le64.cache-5  f951a6bc01c50d58ac4af16a0108457e-le64.cache-5
1e1e03b57ed9f0c723c5aeafda46c3fb-le64.cache-5  58b941d9fae7b4c9a612a39a011865c1-le64.cache-5  8aa05f52519ebacbdf5713e01a6153b0-le64.cache-5  b67b32625a2bb51b023d3814a918f351-le64.cache-5  f9d379b867d7c69c85310a4f24e5228f-le64.cache-5
273775fe289500a541b040acb23ef7ce-le64.cache-5  5d33f04e74a97395cf88bbd83847f1f1-le64.cache-5  8cab66d8f642305e525ba3e322d0979c-le64.cache-5  b79f3aaa7d385a141ab53ec885cc22a8-le64.cache-5  
2881ed3fd21ca306ddad6f9b0dd3189f-le64.cache-5  614d1caaa4d7914789410f6367de37ca-le64.cache-5  900402270e15d763a6e008bb2d4c7686-le64.cache-5  b887eea8f1b96e1d899b44ed6681fc27-le64.cache-5  
cward@cward ~ $ fc-cat /var/cache/fontconfig/019629eead7fd8624feacc17e1c76e56-le64.cache-5
"FontAwesome.otf" 0 "FontAwesome-(0 1.79769e+308):familylang=en:style=Regular:stylelang=en:fullname=FontAwesome:fullnamelang=en:slant=0:weight=80:width=100:foundry=unknown:index=0:outline=True:scalable=True:charset=20 f000-f00e f010-f01e f021-f03e f040-f04e f050-f05e f060-f06e f070-f07e f080-f08e f090-f09e f0a0-f0ae f0b0-f0b2 f0c0-f0ce f0d0-f0de f0e0-f0ee f0f0-f0fe f100-f10e f110-f115 f118-f11e f120-f12e f130-f13e f140-f14e f150-f15e f160-f16e f170-f17e f180-f18e f190-f19e f1a0-f1ae f1b0-f1be f1c0-f1ce f1d0-f1de f1e0-f1e2:lang=:fontversion=262210:fontformat=CFF:decorative=False:postscriptname=FontAwesome:color=False"
"fontawesome-webfont.ttf" 0 "FontAwesome-(0 1.79769e+308):familylang=en:style=Regular:stylelang=en:fullname=FontAwesome Regular:fullnamelang=en:slant=0:weight=80:width=100:foundry=unknown:index=0:outline=True:scalable=True:charset=20 a0 2000-200a 202f 205f 25fc f000-f00e f010-f01e f021-f03e f040-f04e f050-f05e f060-f06e f070-f07e f080-f08e f090-f09e f0a0-f0ae f0b0-f0b2 f0c0-f0ce f0d0-f0de f0e0-f0ee f0f0-f0fe f100-f10e f110-f115 f118-f11e f120-f12e f130-f13e f140-f14e f150-f15e f160-f16e f170-f17e f180-f18e f190-f19e f1a0-f1ae f1b0-f1be f1c0-f1ce f1d0-f1de f1e0-f1e2:lang=:fontversion=262210:fontformat=TrueType:decorative=False:postscriptname=FontAwesome:color=False"
"fontawesome-webfont.woff" 0 "FontAwesome-(0 1.79769e+308):familylang=en:style=Regular:stylelang=en:fullname=FontAwesome Regular:fullnamelang=en:slant=0:weight=80:width=100:foundry=unknown:index=0:outline=True:scalable=True:charset=20 a0 2000-200a 202f 205f 25fc f000-f00e f010-f01e f021-f03e f040-f04e f050-f05e f060-f06e f070-f07e f080-f08e f090-f09e f0a0-f0ae f0b0-f0b2 f0c0-f0ce f0d0-f0de f0e0-f0ee f0f0-f0fe f100-f10e f110-f115 f118-f11e f120-f12e f130-f13e f140-f14e f150-f15e f160-f16e f170-f17e f180-f18e f190-f19e f1a0-f1ae f1b0-f1be f1c0-f1ce f1d0-f1de f1e0-f1e2:lang=:fontversion=262210:fontformat=TrueType:decorative=False:postscriptname=FontAwesome:color=False"

Comment 5 Chris Ward 2015-05-28 14:57:55 UTC
also fc-cache -r and dnf reinstall fontconfig ...

and watching the log when chrome is launched... i see the same error mentioned above
...
May 28 16:52:35 cward google-chrome.desktop: Fontconfig warning: FcPattern object size does not accept value 11(i)
...

full log...

cward@cward ~ $ sudo tail -f /var/log/messages
May 28 16:57:25 cward audit: <audit-1325> table=filter family=2 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=raw family=2 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=security family=2 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=mangle family=2 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=nat family=2 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=filter family=10 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=raw family=10 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=security family=10 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=mangle family=10 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=nat family=10 entries=0
May 28 16:57:25 cward audit: <audit-1300> arch=c000003e syscall=56 success=yes exit=7638 a0=70000011 a1=7ffc4f317050 a2=0 a3=0 items=0 ppid=1 pid=7624 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=tty2 ses=1 comm="chrome" exe="/opt/google/chrome/chrome" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)
May 28 16:57:25 cward audit: <audit-1327> proctitle="/opt/google/chrome/chrome"
May 28 16:57:25 cward audit: <audit-1325> table=filter family=2 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=raw family=2 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=security family=2 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=mangle family=2 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=nat family=2 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=filter family=10 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=raw family=10 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=security family=10 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=mangle family=10 entries=0
May 28 16:57:25 cward audit: <audit-1325> table=nat family=10 entries=0
May 28 16:57:25 cward audit: <audit-1300> arch=c000003e syscall=56 success=yes exit=2 a0=70000011 a1=7fff524d7910 a2=0 a3=0 items=0 ppid=7624 pid=7638 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=tty2 ses=1 comm="chrome" exe="/opt/google/chrome/chrome" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)
May 28 16:57:25 cward audit: <audit-1327> proctitle=2F6F70742F676F6F676C652F6368726F6D652F6368726F6D65202D2D747970653D7A79676F7465
May 28 16:57:25 cward google-chrome.desktop: Fontconfig warning: FcPattern object size does not accept value 11(i)
May 28 16:57:25 cward google-chrome.desktop: Fontconfig warning: FcPattern object size does not accept value 11(i)
May 28 16:57:25 cward gnome-session: [2851:2851:0528/165725:ERROR:desktop_window_tree_host_x11.cc(1547)] Not implemented reached in void views::DesktopWindowTreeHostX11::MapWindow(ui::WindowShowState)
May 28 16:57:25 cward audit: <audit-1326> auid=1000 uid=1000 gid=1000 ses=1 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=7669 comm="chrome" exe="/opt/google/chrome/chrome" sig=0 arch=c000003e syscall=273 compat=0 ip=0x7f6a52bcf4f4 code=0x50000
May 28 16:57:25 cward audit: <audit-1326> auid=1000 uid=1000 gid=1000 ses=1 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=7670 comm="chrome" exe="/opt/google/chrome/chrome" sig=0 arch=c000003e syscall=273 compat=0 ip=0x7f6a52bcf4f4 code=0x50000
May 28 16:57:25 cward google-chrome.desktop: Created new window in existing browser session.

Comment 6 Chris Ward 2015-05-28 15:06:04 UTC
CLOSING. Solution... 

rm ~/.config/google-chrome


Note You need to log in before you can comment on or make changes to this bug.